Subject: RE: [Megaco] inter-mgc call for Residential G/Ws

From: Anil Jangam <[email-masked]>
Date: Mon, 20 May 2002 12:19:52 +0530

Hi John,

What I understand from your query is that the call between the FXS-A and
FXS-X is a typical example of Inter-exchange (inter-MGC) call scenario. In
this case, probably the MEGACO rfc and the Madhu's call flow might not help
you out to reach the bottom.

Here is the solution in my opinion.
You have to first find out what is the colabration between the two MGCs. In
typical Inter-exchange (inter-MGC) calls the type of signaling used is
differnet from MEGACO/MGCP (It is used only between the MG <-> MGC). You can
use either ISUP or SIP to interwork between the two MGCs.

I'll give you a sample call flow to solve your problem, but there are lot of
processing involved. You have to define the routing configuration and so on.
Hope it helps.

/anil.

             +----------+                         +----------+
             |          |                         |          |
             |          |----------IAM----------->|          |
             |          |<---------ACM------------|          |
             |          |<---------ANM------------|          |
             |          |                         |          |
             |   MGC1   |---Call is active -------|   MGC2   |
             |          |                         |          |
             |          |<---------REL------------|          |
             |          |----------RLC----------->|          |
             |          |                         |          |
             +----------+                         +----------+
                 |                                     |
                 |Megaco                               | Megaco
                 |                                     |
                 |                                     |
             +----------+                         +----------+
             |          |                         |          |
             |  MG1     |	                 	  |    MG2   |
             |          |                         |          |
             |          |                         |          |
             +----------+                         +----------+
                 |    |                                |    |
                 |    |                                |    |
               FXS-A  FXS-B                          FXS-X  FXS-Y

> -----Original Message-----
> From: John J C [mailto:[email-masked]]
> Sent: Monday, May 20, 2002 12:18 PM
> To: [email-masked]
> Subject: [Megaco] inter-mgc call for Residential G/Ws
> 
> 
> Hi Everybody,
> 
>     I have a problem in placing calls between 2 FXS ports connected to
> individual Residential Gateways that are registered with 2 
> different MGC.
> Please see the diagram below.There are  2 Residential G/W MG1 and MG2,
> each controlled by individual MGC ie MG1 is controlled by MGC1 and MG2
> is controlled by MGC2.
> 
>     I need to communicate  between FXS-A and FXS-X. How do i go about
> doing it. Is there any drafts that talks about this scenario.
> 
> Thanx in advance
> 
> John
> 
> 
> 
>             +----------+                         +----------+
>             |          |                         |          |
>             |   MGC1   |-------------------------|   MGC2   |
>             |          |                         |          |
>             |          |                         |          |
>             +----------+                         +----------+
>                 |                                     |
>                 |Megaco                               | Megaco
>                 |                                     |
>                 |                                     |
>             +----------+                         +----------+
>             |          |                         |          |
>             |  MG1     |	                 |    MG2   |
>             |          |                         |          |
>             |          |                         |          |
>             +----------+                         +----------+
>                 |    |                                |    |
>                 |    |                                |    |
>               FXS-A  FXS-B                          FXS-X  FXS-Y
> 
> 
> 
> --------------------------------------------------------------
> ----------------
> 
> 					John J C
> 					Senior Engineer
> 					HFCL-IISc Research Project
> 					IISc Campus
> 					Bangalore
> 
> 
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco
> 

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Anil Jangam <[email-masked]>
Date: Mon, 20 May 2002 12:19:52 +0530

Hi John,

/anil.